## sw-web

sw-web

## Functions

SoupSession * | sw_web_make_sync_session ()
SoupSession * | sw_web_make_async_session ()
char * | sw_web_download_image ()
void | (*ImageDownloadCallback) ()
void | sw_web_download_image_async ()

## Description

## Functions

### sw_web_make_sync_session ()

    SoupSession *
    sw_web_make_sync_session (void);

### sw_web_make_async_session ()

    SoupSession *
    sw_web_make_async_session (void);

### sw_web_download_image ()

    char *
    sw_web_download_image (const char *url);

### ImageDownloadCallback ()

    void
    (*ImageDownloadCallback) (const char *url,
                              char *file,
                              gpointer user_data);

### sw_web_download_image_async ()

    void
    sw_web_download_image_async (const char *url,
                                 ImageDownloadCallback callback,
                                 gpointer user_data);

## Types and Values